# Uses of Class
org.eclipse.e4.ui.bindings.internal.ContextSet

Packages that use ContextSet
Package
Description
org.eclipse.e4.ui.bindings.internal

## Uses of ContextSet in org.eclipse.e4.ui.bindings.internal

Fields in org.eclipse.e4.ui.bindings.internal declared as ContextSet
Modifier and Type
Field
Description
`static ContextSet`
ContextSet.`EMPTY`
Methods in org.eclipse.e4.ui.bindings.internal that return ContextSet
Modifier and Type
Method
Description
`ContextSet`
BindingTableManager.`createContextSet(Collection<Context> contexts)`
Methods in org.eclipse.e4.ui.bindings.internal with parameters of type ContextSet
Modifier and Type
Method
Description
`Binding`
BindingTableManager.`getBestSequenceFor(ContextSet contextSet, ParameterizedCommand parameterizedCommand)`
`Collection<Binding>`
BindingTableManager.`getBindingsFor(ContextSet contextSet, ParameterizedCommand cmd)`
`Collection<Binding>`
BindingTableManager.`getConflictsFor(ContextSet contextSet, TriggerSequence triggerSequence)`
`Collection<Binding>`
BindingTableManager.`getPartialMatches(ContextSet contextSet, TriggerSequence sequence)`
`Binding`
BindingTableManager.`getPerfectMatch(ContextSet contextSet, TriggerSequence triggerSequence)`
`Collection<Binding>`
BindingTableManager.`getSequencesFor(ContextSet contextSet, ParameterizedCommand parameterizedCommand)`
`boolean`
BindingTableManager.`isPartialMatch(ContextSet contextSet, TriggerSequence sequence)`